MWAWFontConverterInternal::Data::ConversionData Struct Reference documentation

MWAWFontConverterInternal::Data::ConversionData Struct Reference

Internal and low level: a class to store a conversion map for character, ... More...

## Public Member Functions
| ConversionData (std::map< unsigned char, unsigned long > &map, char const *odtName="", int delta=0)
| constructor
| ConversionData (std::map< unsigned char, unsigned long > &map, MWAWFontConverter::Encoding encoding, char const *odtName="", int delta=0)
| constructor for different encoding

## Public Attributes
MWAWFontConverter::Encoding | m_encoding
| the character encoding
std::map< unsigned char, unsigned long > & | m_conversion
| the conversion map character -> unicode
std::string | m_name
| the odt font name (if empty used the name)
int | m_deltaSize
| the size delta: odtSize = fSize + deltaSize

## Detailed Description

Internal and low level: a class to store a conversion map for character, ...

## Constructor & Destructor Documentation

## ◆ ConversionData() [1/2]

MWAWFontConverterInternal::Data::ConversionData::ConversionData | ( | std::map< unsigned char, unsigned long > & | map,
|  | char const * | odtName = "",
|  | int | delta = 0 )
| inlineexplicit

constructor

## ◆ ConversionData() [2/2]

MWAWFontConverterInternal::Data::ConversionData::ConversionData | ( | std::map< unsigned char, unsigned long > & | map,
|  | MWAWFontConverter::Encoding | encoding,
|  | char const * | odtName = "",
|  | int | delta = 0 )
| inline

constructor for different encoding

## Member Data Documentation

## ◆ m_conversion

std::map<unsigned char, unsigned long>& MWAWFontConverterInternal::Data::ConversionData::m_conversion

the conversion map character -> unicode

Referenced by ConversionData(), and ConversionData().

## ◆ m_deltaSize

int MWAWFontConverterInternal::Data::ConversionData::m_deltaSize

the size delta: odtSize = fSize + deltaSize

Referenced by ConversionData(), and ConversionData().

## ◆ m_encoding

MWAWFontConverter::Encoding MWAWFontConverterInternal::Data::ConversionData::m_encoding

the character encoding

Referenced by ConversionData(), and ConversionData().

## ◆ m_name

std::string MWAWFontConverterInternal::Data::ConversionData::m_name

the odt font name (if empty used the name)

Referenced by ConversionData(), and ConversionData().

The documentation for this struct was generated from the following file:

- MWAWFontConverter.cxx